CamlinternalMenhirLib.Printers.Make(3)

NAME
CamlinternalMenhirLib.Printers.Make - no description

Module
Module CamlinternalMenhirLib.Printers.Make

Documentation

Module Make
 : functor (I : IncrementalEngine.EVERYTHING) (User : sig end) -> sig end

Parameters:

"I" CamlinternalMenhirLib.IncrementalEngine.EVERYTHING

"User" sig end

val print_symbols : I.xsymbol list -> unit

val print_element_as_symbol : I.element -> unit

val print_stack : 'a I.env -> unit

val print_item : I.item -> unit

val print_production : I.production -> unit

val print_current_state : 'a I.env -> unit

val print_env : 'a I.env -> unit